Subject: [bug#34571] [PATCH] Add micropython

From: Efraim Flashner <[email-masked]>
Date: Tue, 19 Feb 2019 12:10:59 +0200

On Tue, Feb 19, 2019 at 10:46:40AM +0100, Danny Milosavljevic wrote:
> Hi Erfraim,
> 
> On Tue, 19 Feb 2019 11:22:16 +0200
> Efraim Flashner <[email-masked]> wrote:
> 
> > I was looking around to see if there was an alternate perl
> > implementation and I ended up packaging micropython. I have no
> > preference between it being in python.scm or embedded.scm
> 
> Heh :)
> 
> There's a bundled version of FreeRTOS in ./ports/cc3200 which is GPLv2
> with a modification.
> 
> In this case, I suggest to delete FreeRTOS since we don't use it
> anyway--and if we ever wanted to, we'd not use the bundled version.
> So in a sense I suggest to unbundle it.
> 
> We could also just add GPLv2 with exception to the license list,
> but in this case I wouldn't--since it doesn't really apply to the
> installed version and we don't use it anyhow.

I'll go ahead and remove it.

> 
> Also, there's a bundled copy of libffi in lib.  Usually, I delete
> it to make sure it's not picked up by accident.
> 
Looking at the .gitmodules¹ it looks like there's a number of bundled
librarires in the lib folder. With all of them removed it no longer
builds. Looks like I need to take another look at it.

I also switched python-minimal-wrapper -> python-wrapper

¹ https://github.com/micropython/micropython/blob/v1.10/.gitmodules

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted